/*
 * $Id: bus_spi.c,v 1.2 2007/12/21 17:40:29 nbrk Exp $
 */
#include <sys/types.h>
#include <sys/bus_spi.h>

uint8_t
spi_transmit(struct spi_bus_handle *sbh, uint8_t data)
{
	return(sbh->sb_transmitfunc(sbh->sb_dd, data));
}


void
spi_cs_low(struct spi_bus_handle *sbh)
{
	sbh->sb_cslowfunc(sbh->sb_dd);
}


void
spi_cs_high(struct spi_bus_handle *sbh)
{
	sbh->sb_cshighfunc(sbh->sb_dd);
}

